tigase.workgroupqueues.scheduler

## Class User

- java.lang.Object
- - tigase.workgroupqueues.scheduler.User

-     public class User
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `User(JID jid, BareJID workgroupQueueJID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `JID` | `getJid()`
    `Date` | `getJoinTime()`
    `Date` | `getLastUpdateSendTime()`
    `Offer` | `getOffer()`
    `Room` | `getRoom()`
    `BareJID` | `getWorkgroupQueue()`
    `int` | `hashCode()`
    `boolean` | `isQueueNotifications()`
    `void` | `setJoinTime(Date joinTime)`
    `void` | `setLastUpdateSendTime(Date lastUpdateSendTime)`
    `void` | `setOffer(Offer offer)`
    `void` | `setQueueNotifications(boolean queueNotifications)`
    `void` | `setRoom(Room room)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### User

          public User(JID jid,
                      BareJID workgroupQueueJID)

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### getJid

          public JID getJid()

    - #### getJoinTime

          public Date getJoinTime()

    - #### setJoinTime

          public void setJoinTime(Date joinTime)

    - #### getLastUpdateSendTime

          public Date getLastUpdateSendTime()

    - #### setLastUpdateSendTime

          public void setLastUpdateSendTime(Date lastUpdateSendTime)

    - #### getOffer

          public Offer getOffer()

    - #### setOffer

          public void setOffer(Offer offer)

    - #### getRoom

          public Room getRoom()

    - #### setRoom

          public void setRoom(Room room)

    - #### getWorkgroupQueue

          public BareJID getWorkgroupQueue()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### isQueueNotifications

          public boolean isQueueNotifications()

    - #### setQueueNotifications

          public void setQueueNotifications(boolean queueNotifications)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.